package com.dayou.enums.workflow;

import com.dayou.enums.CodeMsgEnumInterface;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/10/17
 * created with IntelliJ IDEA.
 */
public enum NodeStateEnum implements CodeMsgEnumInterface<String,String> {
    PENDING("进行中","PENDING"),
    FINISHED("已完成","FINISHED"),
    WAITING("未开始","WAITING"),
    CLOSED("已关闭","CLOSED"),
    SKIP("跳过","SKIP")
    ;

    NodeStateEnum(String name, String code) {
        this.name = name;
        this.code = code;
    }

    private String name;

    private String code;
    ;
    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getMsg() {
        return name;
    }
}
